var fs = require('fs')

var Render = function () {
  var folder = ''
}

Render.prototype.render = function (defaults) {
  this.folder = defaults.folder || '---'; if (this.folder == '---') throw 'Unknown folder...'
  let view = {folder: this.folder}
  try {
    view.config = JSON.parse(fs.readFileSync(`${global.paths.views}/${defaults.folder}/${defaults.folder}.json`))
    view.mainViewJSON = JSON.parse(fs.readFileSync(`${global.paths.design}/includes/main/main.json`))
    view.super = {
      from_controller: defaults.view || {},
      main: JSON.parse(fs.readFileSync(`${global.paths.designc}/main.config.json`)),
      meta: JSON.parse(fs.readFileSync(`${global.paths.designc}/meta.config.json`)),
      cards: JSON.parse(fs.readFileSync(`${global.paths.designc}/cards.config.json`)),
      og: JSON.parse(fs.readFileSync(`${global.paths.designc}/og.config.json`))
    }
    defaults.res.render('./builder.ejs', {view: view, data: defaults.data})
  } catch (ex) { throw ex }
}

module.exports = Render
